Subject: [PATCH v3 0/2] gnu: Add distrho-ports.

From: Sughosha <[email-masked]>
Date: Fri, 16 Jun 2023 14:05:03 +0000

Hi Ricardo,

Thanks for reviewing this patch. Following your suggestions made some
improvements.

> > +      (native-inputs
> > +       (list cmake-minimal
> > +             concurrentqueue
> > +             nlohmann-json
> > +             optional-lite
> > +             pkg-config))
> 
> Why are these libraries native inputs?

"concurrentqueue", "nlohmann-json" and "optional-lite" were bundled with
the source. I deleted their folders and added them as native-inputs.

> > +      ;; Licenses for lv2-ttl-generator, The Function, The Pilgrim,
> > +      ;; juce-demo-host and juce-demo-plugin are not declared.
> Then these are nonfree and should be removed.

I found license of lv2-ttl-generator in its upstream and removed plugins
with no license and not included in building.

I also last I improved license definition.

Sughosha (2):
  gnu: Add optional-lite.
  gnu: Add distrho-ports.

 gnu/packages/cpp.scm   |  23 ++++++
 gnu/packages/music.scm | 154 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 177 insertions(+)

base-commit: 8f0698dde351790e0bc9e905e4cd71902fd55d5f
-- 
2.40.1